<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<title></title>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
   
	<!--MqRelPath--><link rel="stylesheet" type="text/css" href="../../theme/css/censusmain.css"/><!--/MqRelPath--><!--MqAbsPath><link rel="stylesheet" type="text/css" href="<BASE_VD>/theme/css/censusmain.css"/></MqAbsPath-->
	<!--MqRelPath--><link rel="stylesheet" type="text/css" href="../../theme/css/mqwizard.css"/><!--/MqRelPath--><!--MqAbsPath><link rel="stylesheet" type="text/css" href="<BASE_VD>/theme/css/mqwizard.css"/></MqAbsPath-->
	
	<!--MqRelPath--><script type="text/javascript" src="../../js/mqsysutils.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqsysutils.js" ></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="../../js/cmqsysmsg.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/cmqsysmsg.js"></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="../../js/mqloaddata.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqloaddata.js" ></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="../../js/mqrecordset.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqrecordset.js" ></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="../../js/xml.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/xml.js" ></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="../../js/mqformelements.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqformelements.js" ></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="../../js/mqlist.js"></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/mqlist.js"></script></MqAbsPath-->
	<!--MqRelPath--><script type="text/javascript" src="../../js/window.js" ></script><!--/MqRelPath--><!--MqAbsPath><script type="text/javascript" src="<BASE_VD>/js/window.js" ></script></MqAbsPath-->
	
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
	
	<script type="text/javascript">
		var m_objMqButton=new MqButton();
		var m_MqList=new MqList();
		var m_objFormElement=new CMqFormElement();
		var lngCallerID="<WC@CALLER_ID></WC@CALLER_ID>";
		var mstrECallerID="<WC@E_CALLER_ID></WC@E_CALLER_ID>";
		var mstrCallerName="<WC@CALLER_NAME></WC@CALLER_NAME>";
		var mlngFieldID=g_MqRef.MqStr.GetQueryStringValue(location.search,"FID");
		var m_objFilteredListInfo;
		
		var lngQuickView=g_MqRef.MqStr.GetQueryStringValue(location.search,"QV");
		var mblnIncomingCall=(lngQuickView!=1);
		var mlngSecType="<WC@SEC_TYPE></WC@SEC_TYPE>";
		var DEFAULT_BASE_QUERY="<QRY>All Open Issues</QRY>";
		var DEFAULT_BASE_QUERY_NAME="All Open Issues";
		var m_objMainRef;
		var m_objOpenerRef;
		var m_objRecordRef;
		var SEC_TYPE_USER = "1";
		var SEC_TYPE_CONTACT = "2";
		var SEC_TYPE_COMPANY = "3";
		var SEC_TYPE_VAR = "4";
		var SEC_TYPE_EMPLOYEE = "8";
		
		var m_blnUCVisible=false;
		var m_blnTB1Visible=false;
		var m_blnISLstVisible=false;
		
		if(parent){
			m_objOpenerRef = parent;
			if(m_objOpenerRef.parent){
				m_objMainRef = m_objOpenerRef.parent;
				if (g_MqRef.RESX){
					// Load the localization file within the view
					var strVDName="";
					var strViewFolder="";
					
					if(m_objMainRef.mstrCurrentVDName){
						strVDName=m_objMainRef.mstrCurrentVDName;
					}else{
						if(m_objMainRef.opener){
							if(m_objMainRef.opener.mstrCurrentVDName){
								strVDName=m_objMainRef.opener.mstrCurrentVDName;
							}
						}
					}
					
					if(m_objMainRef.mstrCurrentViewFolder){
						strViewFolder=m_objMainRef.mstrCurrentViewFolder;
					}else{
						if(m_objMainRef.opener){
							if(m_objMainRef.opener.mstrCurrentViewFolder){
								strViewFolder=m_objMainRef.opener.mstrCurrentViewFolder;
							}
						}
					}
					if(strVDName!="" && strViewFolder!=""){
						g_MqRef.ResMgr.LoadViewRes("/" +strVDName + "/" + strViewFolder);
					}
				}
			}
			
			m_objRecordRef = m_objOpenerRef.Record;
			if(m_objRecordRef){
				if(m_objRecordRef.m_objFilteredListInfoColl){
					m_objFilteredListInfo=m_objRecordRef.m_objFilteredListInfoColl[mlngFieldID];
					if(m_objFilteredListInfo){
						mstrCallerName=g_MqRef.MqStr.GetQueryStringValue(location.search,"UserName");
					}
				}
			}
		
		}
		
		function HideAddNewButton(blnHide){
			var ADD_NEW_BTN_ID = "btnAddNew";
			var objAddNewBtn = document.getElementById(ADD_NEW_BTN_ID);
			
			if(blnHide){
				if(objAddNewBtn){
					objAddNewBtn.style.display = "none";
				}
			}
		}
		
		function OnLoadForm(){

			SetFormContext();
	
			SetDefaultQuery();
			
			GetQueryResults();
			
			if(m_objMainRef){
				HideAddNewButton(m_objMainRef.mblnIsUserView)
			}

			RearrangeUI();
			
			HideDisplayPic();
			
			var strXMLFieldValues="<WC@LOADDATA><Mq:Popup_Flds></WC@LOADDATA>";

			if(m_objMainRef){
				var oFieldValuesRs;	
			
				if (strXMLFieldValues.length>0){
					var oViewFields=m_objMainRef.m_objViewFields;
					if (oViewFields){
						oFieldValuesRs=new CMqRecordset(strXMLFieldValues,oViewFields.GetFieldIDName());	
					}
				
					var objLoadDataMgr=new CMqLoadDataMgr(oViewFields,"document");
				
					var lngMode=0 // disable all
					objLoadDataMgr.Load(oFieldValuesRs,lngMode,m_objMainRef.m_objDisplayElements,null);
				}
			}
		}
		
		function RearrangeUI()
		{
			if(m_blnUCVisible){
				var objUC=document.getElementById("UserCard");
				if(objUC){
					if(!m_blnTB1Visible){
						objUC.style.width="99%";
					}
					if(!m_blnISLstVisible){
						objUC.style.height="94%";
					}
				}
			}
		}
		
		function SetDefaultQuery()
		{
			var objQueryList=document.getElementById("QueryList");
			var blnFound=false;
			if(objQueryList){
				if(objQueryList.options){
					for(x=0; x<objQueryList.options.length;x++){
						if(objQueryList.options[x].text==DEFAULT_BASE_QUERY_NAME && 
								objQueryList.options[x].value==DEFAULT_BASE_QUERY){
						
							blnFound=true;
							break;		
						}
					}
					if(blnFound==false){
						if(objQueryList.options.length>0){
							DEFAULT_BASE_QUERY=objQueryList.options[0].value;
							DEFAULT_BASE_QUERY_NAME=objQueryList.options[0].text;
							
							objQueryList=document.getElementById("aQueryLst");
							
							m_objFormElement.SetValue(DEFAULT_BASE_QUERY,false,objQueryList,CTRL_TYPE_MQLIST, false, true);
						}
					}
				}
			}
		}
		
		function HideDisplayPic()
		{
			var objDefPic=document.getElementById("callerPic_Def");
			var objUsrPic=document.getElementById("callerPic_Usr");
			
			if(objUsrPic){
				if(IsImageOk(objUsrPic)){
					objUsrPic.style.display="";
				}else{
					if(objDefPic){
						objDefPic.style.display="";
					}
				}
			}			
		}
		
		function SetFormContext()
		{
			var strHeader="";
			var strTitle="";
			var strUser="<WC@CALLER_NAME></WC@CALLER_NAME>";
			var strPhone="<WC@CALLER_PHONE></WC@CALLER_PHONE>";
			
			if(m_objFilteredListInfo){
				strTitle=g_MqRef.MqStr.FormatString(m_objFilteredListInfo.GetTitle(),mstrCallerName);
			}else{
				if(mblnIncomingCall){
					strTitle=g_MqRef.RESX['TITLE_INCOMING_CALL'];
					strHeader=g_MqRef.RESX['TITLE_INCOMING_CALL_FROM'];
				}else{
					strTitle=g_MqRef.RESX['TITLE_CONTACT_DETAILS'];
				}
			}
			
			strHeader=g_MqRef.MqStr.FormatString(strHeader,strUser + "," + strPhone);
			
			var objHeader=document.getElementById("headerSection");
			if(objHeader){
				objHeader.innerHTML=strHeader;
			}
			
		
			document.title=strTitle;
		}
		
		function IsImageOk(img) {
		    // During the onload event, IE correctly identifies any images that
		    // weren't downloaded as not complete. Others should too. Gecko-based
		    // browsers act like NS4 in that they report this incorrectly.
		    if (!img.complete) {
		        return false;
		    }

		    // However, they do have two very useful properties: naturalWidth and
		    // naturalHeight. These give the true size of the image. If it failed
		    // to load, either of these should be zero.
		    if (typeof img.naturalWidth != "undefined" && img.naturalWidth == 0) {
		        return false;
		    }

		    // assume it's ok.
		    return true;
		}

		
		function GetIFrameSRC(lngQueryID)
		{
			var strAddQS="";
			var strFieldID="";
			
			if(m_objFilteredListInfo){
				strFieldID=m_objFilteredListInfo.GetSearchFieldID();
			}else{
				if(mlngSecType==SEC_TYPE_USER||mlngSecType==SEC_TYPE_CONTACT||mlngSecType==SEC_TYPE_EMPLOYEE){
					strFieldID="<WC@FLD_ID>nOriginatorID</WC@FLD_ID>";
				}else{
					if(mlngSecType==SEC_TYPE_COMPANY){
						strFieldID="<WC@FLD_ID>nCompanyName</WC@FLD_ID>";
					}else{
						if(mlngSecType==SEC_TYPE_VAR){
							strFieldID="<WC@FLD_ID>VAR_Name</WC@FLD_ID>";
						}
					}
				}
			}
			if(strFieldID!=""){
				strAddQS="&ASQL=" + g_MqRef.MqStr.MqEncodeURIComponent(strFieldID + "|=|" + mstrCallerName + "|And");	
			}
			
			return "WCMailInt.ASP?WCI=wciGetQueryResults&QID=" + lngQueryID + "&UID=" + lngCallerID + strAddQS;
		}
		
		function GetQueryResults(strParam)
		{
			var objFra=document.getElementById("ifrLinkToIssue");
			
			var objQueryList=document.getElementById("aQueryLst");
			
			var lngQueryID = m_objFormElement.GetValue(false, objQueryList, CTRL_TYPE_MQLIST);
			
			if(objFra){
				if(strParam != null){
					objFra.src=GetIFrameSRC(lngQueryID) + "&" + strParam;
				}else{
					objFra.src=GetIFrameSRC(lngQueryID);
				}
			}
		}
		
		function OnDblClickItem(strRowItemCaption, strRowItemID)
		{
			if(strRowItemID >= 0){
				if(m_objFilteredListInfo){
					var strURL=GetVDURL(m_objOpenerRef.mstrBaseVDName, "View=" + m_objFilteredListInfo.GetViewToOpen() + "&UEID="+strRowItemID);
							
					if(strURL!=""){
						var MAX_URL_LEN=2048;
						strURL=g_MqRef.MqStr.Left(strURL,MAX_URL_LEN);
					}
					m_objOpenerRef.OpenChildWindow(strURL,"EditIssue",'resizable=yes,toolbar=no,directories=no,width=800,height=600', true, 800, 600);
					CloseWindow();
				}else{
					var blnIsLoaded=false;
					if(m_objMainRef.objRecord.GetRecordId()==strRowItemID){
						blnIsLoaded=true;
					}else{
						m_objMainRef.LoadRecord(strRowItemID, -1, false);
					}
					blnIsLoaded=MonitorIssueIsLoaded(strRowItemID, 0);
					if(blnIsLoaded && !mblnIncomingCall){
						CloseWindow();
					}
					m_objMainRef.focus();
				}
			}
		}
		
		function GetVDURL(strBaseVD, strAddRedirQS)
		{
			var co = m_objOpenerRef.objRequest.Get(m_objOpenerRef.mstrCurrentLocation + "wcProdInv.asp?WCI=wciGetDiffVDURL&Base=" + strBaseVD + 
												"&AddQS=" + g_MqRef.MqStr.MqEncodeURIComponent(strAddRedirQS));
			if (co!=m_objOpenerRef.objRequest.CANCEL_PROCESS){

				var objResponse=m_objOpenerRef.objRequest.Response(co);
												
				if (objResponse){
					if (objResponse.HasErrors()){
						objResponse.ProcessErrors("",true,window);
					}else{
						return co;
					}
				}
			}
							
			return true;
		}
		
		function MonitorIssueIsLoaded(lngID, lngCount)
		{
			if(m_objMainRef.objRecord.GetRecordId()==lngID){
				return true;
			}else{
				if(lngCount<10){
					lngCount++;
					window.setTimeout("MonitorIssueIsLoaded(" + lngID + ", " + lngCount + ")", 200);
				}else{
					return false;
				}
			}
		}
		
		function OnRowOver(lngRowID, objCaller)
		{
			if(lngRowID >= 0 && objCaller){
				objCaller.SelectRow(lngRowID);
				
				var objRow=objCaller.document.getElementById("row_" + lngRowID);	
				var objSelImg=objCaller.document.getElementById("SelItem");
				var objHeader=objCaller.document.getElementById("GridHeader");
				
				if(objRow && objSelImg && objHeader){
					var lngHeightDiff=((objRow.offsetHeight-16)/2)-2;
					objSelImg.style.top=objRow.offsetTop + objHeader.offsetHeight + lngHeightDiff + "px";
					objSelImg.style.left="93%";
					objSelImg.style.display="";
					objSelImg.style.cursor="hand";
					objSelImg.title="Load issue in the Web view";
					if(objRow.cells.length>0){
						objCell=objRow.cells.item(0);
						objSelImg.onclick=objCell.ondblclick;
					}
				}	
			}
		}
		
		function OnSortColumn(strSortDetails)
		{	
		}
		function OnSelectRow(strName,strID)
		{
		}
		
		function MoveFirst()
		{
			GetQueryResults("Pos=FirstRecord");
		}

		function MoveLast()
		{
			GetQueryResults("Pos=LastRecord");
		}

		function MovePrev()
		{
			GetQueryResults("PN="+(Number(m_lngCurrentPage)-1));
		}

		function MoveNext()
		{
			GetQueryResults("PN="+(Number(m_lngCurrentPage)+1));
		}
		
		function OnListLoaded(lngCurrentPage, lngTotalRecord, lngPageCount)
		{
			SetPageCaption(lngCurrentPage, lngTotalRecord, lngPageCount);
			HandleButtonStates(lngCurrentPage, lngPageCount);
			m_lngCurrentPage=lngCurrentPage;
		}
		
		function SetPageCaption(lngCurrentPage, lngTotalRecord, lngPageCount)
		{
			var objPageCaption=document.getElementById("PageCaption");

			if (objPageCaption){
				var strPC=GetPageCaption(lngCurrentPage, lngTotalRecord, lngPageCount);
				objPageCaption.innerHTML=strPC;
				objPageCaption.title=strPC;
			}				
		}

		function GetPageCaption(lngCurrentPage, lngTotalRecord, lngPageCount){
			var strReturn;
			if (!lngCurrentPage && !lngTotalRecord){
				strReturn="No issues in the query";
			}else{	
				strReturn=g_MqRef.MqStr.FormatString("Page %1 of %2 (%3 matches)", lngCurrentPage+";"+lngPageCount+";"+lngTotalRecord+";",";"); 
			}
				
			return strReturn;
		}

		function HandleButtonStates(lngCurrentPage, lngPageCount)
		{
			if (lngCurrentPage==1 || lngCurrentPage==0){ 
				m_objMqButton.DisableButton("FirstPage");
				m_objMqButton.DisableButton("PreviousPage");
			}else{
				m_objMqButton.EnableButton("FirstPage");
				m_objMqButton.EnableButton("PreviousPage");
			}
			
			if (lngCurrentPage==lngPageCount) {
				m_objMqButton.DisableButton("LastPage");
				m_objMqButton.DisableButton("NextPage");
			}else{
				m_objMqButton.EnableButton("LastPage");
				m_objMqButton.EnableButton("NextPage");
			}
		}
		
		function GetCurrentTime()
		{
			var now = new Date();
			var hours = now.getHours();
			var minutes = now.getMinutes();
			var seconds = now.getSeconds()
			var timeValue = "" + ((hours >12) ? hours -12 :hours)
			if (timeValue == "0") timeValue = 12;
			timeValue += ((minutes < 10) ? ":0" : ":") + minutes
			timeValue += ((seconds < 10) ? ":0" : ":") + seconds
			timeValue += (hours >= 12) ? " PM" : " AM"
			return timeValue;
		}
		
		function AddNewUser()
		{
			var strUrl='TmplEditContacts.htm';
						
			m_objOpenerRef.OpenChildWindow(strUrl,"dlgAddOriginator",
				'scrollbars=yes,resizable=yes,toolbar=no,directories=no,width=1000,height=700');
		}
		
		function UpdateCurrentUser()
		{
			var strUrl='TmplEditContacts.htm?EID='+mstrECallerID;
						
			m_objOpenerRef.OpenChildWindow(strUrl,"dlgUpdateOriginator",
				'scrollbars=yes,resizable=yes,toolbar=no,directories=no,width=1000,height=700');
		}	
		
		function ShowMap()
		{
			m_objOpenerRef.OpenChildWindow(GetGoogleMapURL(), "dlgMap", 
				'scrollbars=yes,resizable=yes,toolbar=no,directories=no,width=1000,height=725');
		}
		
		function GetGoogleMapURL()
		{
			return "http://maps.google.com/maps?q=" + GetCurrentAddressQS();
		}
		
		function GetCurrentAddressQS()
		{
			var strQS="";
			var objCtrl;
			var strValue;
			
			var arrFields=new Array("<WC@FLD_ID>Address_1;0</WC@FLD_ID>", 
									"<WC@FLD_ID>Address_2;0</WC@FLD_ID>", 
									"<WC@FLD_ID>City;0</WC@FLD_ID>", 
									"<WC@FLD_ID>State_Province;0</WC@FLD_ID>",
									"<WC@FLD_ID>Zip;0</WC@FLD_ID>",
									"<WC@FLD_ID>Country;0</WC@FLD_ID>");
			
			var objFormElement=new CMqFormElement();
			
			for(x=0; x<arrFields.length; x++){
				lngFieldID=arrFields[x];
				
				if(lngFieldID!=""){
					var objField=m_objOpenerRef.m_objViewFields.Field(lngFieldID);
					if (objField){
						objFormElement.Initialize(objField.GetBoundControl(),objField.GetControlType(),'document');
						strValue=objFormElement.GetValue();
						if(strValue!=""){
							strQS+=g_MqRef.MqStr.MqEncodeURIComponent(strValue)+"+";
						}
					}
				}			
			}
			return strQS;
		}
		
		function LoadUserInfo(lngFieldID)
		{
			if(m_objMainRef){	
				var blnShowWin=true;
				var USER_ID_NONE="0";
				var USER_NAME_NONE="<None>";
	
				var objField=m_objMainRef.m_objViewFields.Field(lngFieldID);
				if (objField){
					var objFormElement=new CMqFormElement();
					var lngCtrlType=objField.GetControlType();
					objFormElement.Initialize(objField.GetBoundControl(),lngCtrlType,'document');
					var strID="";
					var strName="";
					if(lngCtrlType==CTRL_TYPE_COMBO){
						strID=objFormElement.GetValue();	
					}else{
						strName=objFormElement.GetValue();
					}			

					if((strID=="" && strName=="") || strID==USER_ID_NONE || strName==USER_NAME_NONE){
						blnShowWin=false;
					}
						
					if(blnShowWin){
						var strWinFeatures=m_objOpenerRef.GetWinFeaturesToCenter(1000, 750);	
						m_objOpenerRef.MqOpenURL("../HTML/wcUserView.asp?WCI=wciDispCallInfo&UserID=" + strID + "&UserName=" + g_MqRef.MqStr.MqEncodeURIComponent(strName) + "&QV=1","UserInfo" +lngFieldID,"scrollbars=no,resizable=yes,toolbar=no,directories=no" + strWinFeatures);
					}
				}
			}
		}
	</script>
</head>
<body topmargin="0" leftmargin="0" marginwidth ="0"  onload="OnLoadForm()" style="background-color:#f2f2f2" class="MainBackgroundWizard">


<div style="    
	margin : 5px; 
	padding : 5px;
	width:97%;height:96%;position:absolute;">

<script type="text/javascript">
	if(mblnIncomingCall){
		var strHTML='<table width="100%" height="30" class="HeaderTop" marginwidth="0" cellpadding="0" cellspacing="0" border="0">' + 
					'<tr><td width="10%" style="padding-left:10px"><img src="../../theme/images/images/phone.png" /></td>' + 
					'<td width="50%" align="left" class="SmallHeaderText"><div class="SmallHeaderText" id="headerSection"></div></td>' + 
					'<td width="40%" align="right" style="padding-right:50px; color:#003399" class="SmallHeaderText">' + GetCurrentTime() + '</td>' + 
					'</tr></table><br />';
		document.write(strHTML);
	}
</script>
		<div style="position:relative;width:100%;height:90%;">
			<WC@HIDE_UC>
			<div id="UserCard" class="ContactDetailsCard ContactDetailsCardHover" 
				style="position:absolute;width:65%;height:43%;padding:5px;" >

			<table width="100%" cellspacing="0" border="0">
				<tr>
					<td valign="top" style="width:100px">
						<div class="cardPicFrame" style="height:180px">
							<script type="text/javascript">
								if(mlngSecType==SEC_TYPE_COMPANY){
									document.write('<img id="callerPic_Def" class="cardPicSizer" name="callerPic_Def" src="../../theme/images/images/contacts/default/company.gif" style="display:none" />');								
								}else{
									document.write('<img id="callerPic_Def" class="cardPicSizer" name="callerPic_Def" src="../../theme/images/images/contacts/default/contact.gif" style="display:none" />');
								}
								document.write('<img id="callerPic_Usr" class="cardPicSizer" name="callerPic_Usr" src="../../theme/images/images/contacts/' + lngCallerID + '/contact.gif" style="display:none" />');
								
							</script>
						</div>
					</td>
					<td valign="top">
						<table style="margin-left:7px;width:100%">
							<tr>
							<Mq:Popup_GenFlds>
							</tr>
						</table>
					</td>
					
				</tr>
			</table>
			</div>
			<script type="text/javascript">
				m_blnUCVisible=true;
			</script>
			</WC@HIDE_UC>
			<WC@HIDE_TB1>
			<div id="Toolbar1" style="position:absolute;width:20%;left:70%">
				
				<WC@SECURED_FEATURE_21>
				
				<script type="text/javascript">
					m_objMqButton.WriteTextButtonHTML("cmdUpdateContact", "Update Current Contact", "UpdateCurrentUser()", "", 36, "", "", 200);
					m_objMqButton.WriteTextButtonHTML("cmdAddContact", g_MqRef.RESX["CREATE_NEW_CONTACTS"], "AddNewUser()", "", 36, "", "", 200);
				</script>
				
				</WC@SECURED_FEATURE_21>
				<script type="text/javascript">
					m_objMqButton.WriteTextButtonHTML("cmdShowMap", g_MqRef.RESX["SHOW_ADDRESS_IN_MAP"], "ShowMap()", "", 36, "", "", 200);
				</script>
				
				<script type="text/javascript">
					m_blnTB1Visible=true;
				</script>
				</WC@HIDE_TB1>
		</div>
			
		<WC@HIDE_ISLST>
		
		<script type="text/javascript">
			var strTop="49%";
			var strHeight="49%";
			
			if(!m_blnTB1Visible && !m_blnUCVisible){
				strTop="3%";
				strHeight="95%";
			}
			
			document.write('<div id="islist" style="position:absolute;width:99%;top:' + strTop+ ';bo-rder:red thin solid;height:' + strHeight+ '">');
		</script>
		
			<div>
				<font  class="normalfield">Show
				<script type="text/javascript">
					var strHTML='<a id="aQueryLst" onclick="MqActuator_OnClick(this);" class="actuator" href="#" mqonchange="GetQueryResults();" mqvalue="' + DEFAULT_BASE_QUERY + '" mqlist="QueryList">' + DEFAULT_BASE_QUERY_NAME + '</a>';
					strHTML+=" for " + mstrCallerName;
					document.write(strHTML);
				</script>:</font>
			</div>
			<div id="IssuesSection" style="height:80%;width:100%;margin:2px;" > <!-- class="ListBorder" -->
				<iframe  name="ifrLinkToIssue" id="ifrLinkToIssue" style="width:100%;height:100%;border:gray 1px solid;" 
				border="0" frameborder="0" marginheight="0" marginwidth="0" src="blank.htm"></iframe>
			
			</div>
			<WC@HIDE_DBC>
			<p class="normalfield" style="position:absolute;left:2px;font-size:9px;width:28%;color:#666666;">* <script>document.write(g_MqRef.RESX["DBL_CLICK_TO_LOAD_ISSUE"]);</script></p>
			</WC@HIDE_DBC>
			
			<table style="position:relative;" cellpadding='1' cellspacing='0' border='0' align="center">
				<tr>
					<td align='center' width="30">
						<script type="text/javascript">m_objMqButton.WriteButtonHTML("FirstPage","MoveFirst();","MoveFirst",false,m_objMqButton.STATE_EN,g_MqRef.RESX['BUTTON_FIRST_PAGE'],"","","<i class=\"fa fa-angle-double-left fa-2x\"><\/i>");</script>
					</td>
					<td align='center' width="30">
						<script type="text/javascript">m_objMqButton.WriteButtonHTML("PreviousPage","MovePrev();","PageDown",false,m_objMqButton.STATE_EN,g_MqRef.RESX['BUTTON_PREVIOUS_PAGE'],"","","<i class=\"fa fa-angle-left fa-2x\"><\/i>");</script>
					</td>
					<td>
						<div class='PageNavigation' id='PageCaption' style="padding-left:10px; padding-right:10px; color:#666666 !important"></div>
					</td>
					<td align='center' width="30">
						<script type="text/javascript">m_objMqButton.WriteButtonHTML("NextPage","MoveNext();","PageUp",false,m_objMqButton.STATE_EN,g_MqRef.RESX['BUTTON_NEXT_PAGE'],"","","<i class=\"fa fa-angle-right fa-2x\"><\/i>");</script>
					</td>
					<td align='center' width="30">
						<script type="text/javascript">m_objMqButton.WriteButtonHTML("LastPage","MoveLast();","MoveLast",false,m_objMqButton.STATE_EN,g_MqRef.RESX['BUTTON_LAST_PAGE'],"","","<i class=\"fa fa-angle-double-right fa-2x\"><\/i>");</script>
					</td>
				</tr>
			</table>

		</div>
		<script type="text/javascript">
			m_blnISLstVisible=true;
		</script>
		</WC@HIDE_ISLST>

		</div>

	<WC@HIDE_CLSBTN> 
	<div style="position:absolute;bottom:0px;right:15px" >
	<script type="text/javascript">m_objMqButton.WriteTextButtonHTML("Close", g_MqRef.RESX["BUTTON_CLOSE"], 'CloseWindow()', "", 32, "", g_MqRef.RESX["BUTTON_CLOSE"], 90);</script>
	</div>
	</WC@HIDE_CLSBTN>

<select id="QueryList" class="mqselect" size="3" 
        onmouseover="m_blnOverMenu=true;" onmouseout="m_blnOverMenu=false;"
        onclick="m_MqList.OnClick(this)" onkeypress="m_MqList.OnKeyPress(event,this)" 
        onblur="m_MqList.OnBlur();">
			<WC@QUERY_LIST></WC@QUERY_LIST>
</select>
    
</div>
</body>
</html>